//
//  ContentView.swift
//  Networking
//
//  Copyright Cocoacasts
//  Created by Bart Jacobs
//

import SwiftUI

struct ContentView: View {

    // MARK: - Properties

    @ObservedObject var viewModel: ContentViewModel

    // MARK: - View

    var body: some View {
        VStack {
            if let image = viewModel.image {
                Image(uiImage: image)
            } else {
                ProgressView()
            }
        }
        .padding()
        .task {
            await viewModel.start()
        }
    }

}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView(viewModel: .init())
    }
}
