//
//  ContentViewModel.swift
//  Networking
//
//  Copyright Cocoacasts
//  Created by Bart Jacobs
//

import UIKit

final class ContentViewModel: ObservableObject {

    // MARK: - Properties

    @Published var image: UIImage?

    // MARK: - Public API

    func start() async {
        let url = URL(string: "https://goo.gl/wV9G4I")!

        do {
            let (data, _) = try await URLSession.shared.data(from: url)

            image = UIImage(data: data)
        } catch {
            print("Unable to Download Image \(error)")
        }
    }

}
